<?php
//return;

//require_once(Mage::getBaseDir().'/lib/Zend/Service/Ebay/Trading.php');
//require_once(Mage::getBaseDir().'/Trading.php');
/*$APIKEY = 'magekey-SellerLi-PRD-93a0284bf-5c2ee7bb';

    $options = array(Zend_Service_Ebay_Abstract::OPTION_APP_ID    => $APIKEY,
        Zend_Service_Ebay_Abstract::OPTION_GLOBAL_ID => 'EBAY-US');
    $service = new Zend_Service_Ebay_Finding($options);
*/

//$helper = Mage::helper('csmarketplace/vebay');
//$collection = $helper->getAllSellerItems('test');
//$collection = $service->getAllSellerItems('big-3-oem-auto-parts');

$collection = isset($_REQUEST['userId']) ? $this->getCollection($_REQUEST['userId']) : array();
//echo $trading->getItem('271597281977');
$count = !is_array($collection) ? '0' : count($collection);


echo $this->__($count . ' item(s) found(s)') ?>
<div class="order-items order-details table-responsive">
    <table id="my-products-table" class="table table-bordered table-hover table-striped">
        <thead>
        <tr style="background-color: #2c3b41;">
            <td colspan="3" style="text-align: left; vertical-align: middle; border-right-style: none; color: #fff;">
                <a style="cursor: pointer; color: #fff;" onclick="jced('.import_request_checkbox').prop('checked', true);"><?php echo $this->__('Select All'); ?></a> / <a style="cursor: pointer; color: #fff;" onclick="jced('.import_request_checkbox').prop('checked',false);"><?php echo $this->__('Unselect All'); ?></a>
            </td>
            <td colspan="3" style="text-align: right; vertical-align: middle; border-left-style: none;">
                <button  style="margin:2px" onClick="massImportRequest(0);" class="button btn btn-info uptransform " title="<?php echo $this->__('Filter') ?>" type="button" id="request_selected"	>
                    <span><span><?php echo $this->__('Mass Magento Import Products') ?></span></span>
                </button>
            </td>
        </tr>
        <tr style="background-color: #f5f5f5;">
            <th class="head"></th>
            <th class="head"><?php echo $this->__('Picture') ?></th>
            <th class="head"><?php echo $this->__('Item Id') ?></th>
            <th class="head"><?php echo $this->__('Title') ?></th>
            <th class="head a-left"><?php echo $this->__('Manufacturer Part Number') ?></th>
            <th class="head a-left"><?php echo $this->__('Category name') ?></th>
        </tr>
        </thead>
        <tbody>
        <?php if(count($collection)>0): ?>
            <?php $_odd = ''; ?>
            <?php foreach ($collection as $item): ?>
                <?php $categoriesPath = explode(":", $item['PrimaryCategory']); ?>
                    <tr>
                        <td><input type="checkbox" name="itemids[]" class="import_request_checkbox" value="<?php echo $item['ItemID']; ?>" /></td>
                        <?php if(count($item['galleryURL'])) : ?>
                            <td><img class="galleryURL" src="<?php echo $item['galleryURL'][0] ?>"></td>
                        <?php else : ?>
                            <td></td>
                        <?php endif ?>
                        <td><?php echo $item['ItemID'] ?></td>
                        <td><?php echo $item['Title'] ?></td>
                        <td><?php echo $item['SKU'] ?></td>
                        <td><?php echo $categoriesPath[count($categoriesPath)-1] ?></td>
                    </tr>
            <?php endforeach; ?>

        <?php else: ?>
            <tr><td colspan="7">
                    <div>
                        <p><?php echo $this->__('No Transactions Available'); ?></p>
                    </div>
                </td></tr>
        <?php endif ?>
        </tbody>
    </table
</div>
<style>
    .galleryURL{
        width:100%;
        max-width: 300px; }
</style>

<script type="text/javascript">

    function massImportRequest(paymentids){
        var params = '';
        if(paymentids==0){
            var checkBoxes;
            checkBoxes = document.getElementsByClassName('import_request_checkbox');
            for(var i=0; i<checkBoxes.length ; i++){
                if(checkBoxes[i].checked){
                    if(params.length == 0){
                        params += 'itemids='+checkBoxes[i].value;
                    } else {
                        params += ','+checkBoxes[i].value;
                    }
                }
            }
        } else {
            params += 'itemids='+paymentids;
        }
        if(params.length == 0){
            alert('Please Select Amount(s)');
            return false;
        }
        jced('#activity-loading').show();
        new Ajax.Request("<?php
		$urlParams['_nosid'] = true;
		if(Mage::app()->getStore()->isCurrentlySecure()) {
			$urlParams['_secure'] = true;
		}
		echo   $this->getUrl('csmarketplace/vebay/requestPost',$urlParams) ?>?"+params, {
            method: 'Get',
            onComplete: function(transport) {
                jced('.vendor-dashboard').html(transport.content);
                jced('#activity-loading').hide();
            }
        });
    }
</script>